Bug 176053 - Bad: Not Sound
Summary: Bad: Not Sound
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-18 14:14 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-22 21:58:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/interrutps (584 bytes, text/plain)
2005-12-18 14:15 UTC, Need Real Name
no flags Details
/proc/iomem (1.21 KB, text/plain)
2005-12-18 14:16 UTC, Need Real Name
no flags Details
/proc/ioports (1.44 KB, text/plain)
2005-12-18 14:17 UTC, Need Real Name
no flags Details
/proc/modules (1.97 KB, text/plain)
2005-12-18 14:17 UTC, Need Real Name
no flags Details
/proc/pci (2.82 KB, text/plain)
2005-12-18 14:18 UTC, Need Real Name
no flags Details
My installed RPMs (12.07 KB, text/plain)
2005-12-18 14:19 UTC, Need Real Name
no flags Details
Output of "amixer" (5.08 KB, text/plain)
2005-12-20 22:11 UTC, Need Real Name
no flags Details
Output of "aplay" (412 bytes, text/plain)
2005-12-20 22:11 UTC, Need Real Name
no flags Details
Output from "lspci" (1.65 KB, text/plain)
2005-12-20 22:12 UTC, Need Real Name
no flags Details

Description Need Real Name 2005-12-18 14:14:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:

Hello,

sorry about my poor english.

i try to use the SoundCard on a Notebook: Dell D810

But the Sound is not running.


If i use the "Soundcard Detection"
i become this Output:

Vendor: Intel
Model:  Corporation 82801FB/FBM/FR/FW/FRW (ICH Family) AC�97 Audio Controller
Modul:  snd-interl8x0





Kernel: 2.6.14-1.1653_FC4


Kernel Modules:

Module                  Size  Used by
autofs4                19653  2
pcmcia                 38517  2
ipv6                  249761  8
video                  16197  0
button                  6737  0
battery                 9541  0
ac                      4933  0
yenta_socket           25805  2
rsrc_nonstatic         13377  1 yenta_socket
pcmcia_core            41313  3 pcmcia,yenta_socket,rsrc_nonstatic
uhci_hcd               32465  0
ehci_hcd               34381  0
snd_intel8x0m          17797  0
snd_intel8x0           32929  1
snd_ac97_codec         88637  2 snd_intel8x0m,snd_intel8x0
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0
snd_seq_oss            31809  0
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                49617  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9037  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            50545  0
snd_mixer_oss          17985  2 snd_pcm_oss
snd_pcm                87493  4 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              25029  2 snd_seq,snd_pcm
snd                    54437  10 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9889  2 snd
snd_page_alloc         10697  3 snd_intel8x0m,snd_intel8x0,snd_pcm
ipw2200               103904  0
ieee80211              30920  1 ipw2200
ieee80211_crypt         5252  1 ieee80211
tg3                    97093  0
ahci                   11973  0
dm_snapshot            17773  0
dm_zero                 2113  0
dm_mirror              22421  0
ext3                  129993  7
jbd                    57813  1 ext3
dm_mod                 56797  11 dm_snapshot,dm_zero,dm_mirror
ata_piix                9541  2
libata                 47437  2 ahci,ata_piix
sd_mod                 18625  3
scsi_mod              135529  3 ahci,libata,sd_mod




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install FC4
2.Update Software with yum
3.Configure Soundcard under X11 with "SoundCard Detection"
  

Additional info:

Comment 1 Need Real Name 2005-12-18 14:15:37 UTC
Created attachment 122376 [details]
/proc/interrutps

Comment 2 Need Real Name 2005-12-18 14:16:36 UTC
Created attachment 122377 [details]
/proc/iomem

Comment 3 Need Real Name 2005-12-18 14:17:16 UTC
Created attachment 122378 [details]
/proc/ioports

Comment 4 Need Real Name 2005-12-18 14:17:53 UTC
Created attachment 122379 [details]
/proc/modules

Comment 5 Need Real Name 2005-12-18 14:18:27 UTC
Created attachment 122380 [details]
/proc/pci

Comment 6 Need Real Name 2005-12-18 14:19:20 UTC
Created attachment 122381 [details]
My installed RPMs

Comment 7 Martin Stransky 2005-12-19 09:55:51 UTC
Please re-login after alsa-lib update (as a common user).

Comment 8 Need Real Name 2005-12-19 19:50:38 UTC
Sorry i cant find a new update

my installed versions:

alsa-utils-1.0.10-1.FC4
alsa-lib-1.0.10-2.FC4

where i can download the newer version do you meen ?

thanks

Comment 9 Martin Stransky 2005-12-20 10:37:58 UTC
You have the right version. Please try to login as a common user (no as root)
and check some sound application (like aplay or somethink else)

Comment 10 Need Real Name 2005-12-20 13:29:42 UTC
i have used a "non root" user ! No Sound !

i have check the SoundCard with "MS Windows XP"

SIGMATEL STAC 975X AC97
Sigmatel STAC 975x AC97 WDM Audio Driver

Vendor: SIGNATEL
Typ:    975x


if i use the user: root to "SoundCard detect" i cant hear "Example Sound"
and the tool find this:

Vendor: Intel
Model:  Corporation 82801FB/FBM/FR/FW/FRW (ICH Family) AC�97 Audio Controller
Modul:  snd-interl8x0

But its not Intel its a Sigmatel, i think there is the problem, or not ?

Comment 11 Martin Stransky 2005-12-20 13:42:24 UTC
Could you attach output of lspci, aplay -l and amixer? Had sound worked before
update to kernel-2.6.14?

Comment 12 Need Real Name 2005-12-20 22:11:10 UTC
Created attachment 122470 [details]
Output of "amixer"

Comment 13 Need Real Name 2005-12-20 22:11:51 UTC
Created attachment 122471 [details]
Output of "aplay"

Comment 14 Need Real Name 2005-12-20 22:12:30 UTC
Created attachment 122472 [details]
Output from "lspci"

Comment 15 Need Real Name 2005-12-21 15:43:31 UTC
I don´t tryed it with Kernel before kernel-2.6.14, sorry !

i made a new install, and dont tryed it ! i update all packets
after install !

Comment 16 Martin Stransky 2005-12-22 15:37:49 UTC
Please run alsamixer (it's a commnad line utility) and unmute the "External
Amplifier" switch (it's the last), with "m" key. Will the sound work after that?

Comment 17 Need Real Name 2005-12-22 20:41:16 UTC
Hi,

Card: Intel ICH6                                                             
Chip: SigmaTel STAC9750,51                                                   
View: [Playback] Capture  All                                                
Item: Master                      

exteral is on, then i use the "SoundCardDetect" and i can hear the sound !

Comment 18 Need Real Name 2005-12-22 20:46:20 UTC
after reboot, the sound works too !

thanks a lot !

have a merry x-mas !

dennis


Note You need to log in before you can comment on or make changes to this bug.